package org.academiadecodigo.bootcamp11.rockpaperscissors;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */
public enum Flavor {
    RPS("rock, paper, scissors", 3),
    RPSLS("rock, paper, scissors, lizard, spock", 5);

    private int numOfChoices;
    private String longName;

    Flavor(String longName, int numOfChoices) {
        this.numOfChoices = numOfChoices;
        this.longName = longName;
    }

    public String getLongName() {
        return this.longName;
    }

    public int getNumOfChoices() {
        return this.numOfChoices;
    }
}
